CS::Math::Noise::Module::TranslatePoint Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
CS::Math::Noise::Module::TranslatePoint Class Reference
Transformer Modules

Noise module that moves the coordinates of the input value before returning the output value from a source module. More...

`#include <cstool/noise/module/translatepoint.h>`

Inheritance diagram for CS::Math::Noise::Module::TranslatePoint:

List of all members.

## Public Member Functions
virtual int | GetSourceModuleCount () const
| Returns the number of source modules required by this noise module.
virtual double | GetValue (double x, double y, double z) const
| Generates an output value given the coordinates of the specified input value.
double | GetXTranslation () const
| Returns the translation amount to apply to the x coordinate of the input value.
double | GetYTranslation () const
| Returns the translation amount to apply to the y coordinate of the input value.
double | GetZTranslation () const
| Returns the translation amount to apply to the z coordinate of the input value.
void | SetTranslation (double translation)
| Sets the translation amount to apply to the input value.
void | SetTranslation (double xTranslation, double yTranslation, double zTranslation)
| Sets the translation amounts to apply to the ( x, y, z ) coordinates of the input value.
void | SetXTranslation (double xTranslation)
| Sets the translation amount to apply to the x coordinate of the input value.
void | SetYTranslation (double yTranslation)
| Sets the translation amount to apply to the y coordinate of the input value.
void | SetZTranslation (double zTranslation)
| Sets the translation amount to apply to the z coordinate of the input value.
| TranslatePoint ()
| Constructor.
## Protected Attributes
double | m_xTranslation
| Translation amount applied to the x coordinate of the input value.
double | m_yTranslation
| Translation amount applied to the y coordinate of the input value.
double | m_zTranslation
| Translation amount applied to the z coordinate of the input value.

## Detailed Description

Noise module that moves the coordinates of the input value before returning the output value from a source module.

The GetValue() method moves the ( x, y, z ) coordinates of the input value by a translation amount before returning the output value from the source module. To set the translation amount, call the SetTranslation() method. To set the translation amount to apply to the individual x, y, or z coordinates, call the SetXTranslation(), SetYTranslation() or SetZTranslation() methods, respectively.

This noise module requires one source module.

Definition at line 68 of file translatepoint.h.

## Constructor & Destructor Documentation

CS::Math::Noise::Module::TranslatePoint::TranslatePoint | ( |  | ) |

Constructor.

The default translation amount to apply to the x coordinate is set to CS::Math::Noise::Module::DEFAULT_TRANSLATE_POINT_X.

The default translation amount to apply to the y coordinate is set to CS::Math::Noise::Module::DEFAULT_TRANSLATE_POINT_Y.

The default translation amount to apply to the z coordinate is set to CS::Math::Noise::Module::DEFAULT_TRANSLATE_POINT_Z.

## Member Function Documentation

virtual int CS::Math::Noise::Module::TranslatePoint::GetSourceModuleCount | ( |  | ) | const`[inline, virtual]`

Returns the number of source modules required by this noise module.

Returns:
  The number of source modules required by this noise module.

Implements CS::Math::Noise::Module::Module.

Definition at line 85 of file translatepoint.h.

virtual double CS::Math::Noise::Module::TranslatePoint::GetValue | ( | double | x,
|  | double | y,
|  | double | z
| ) |  | const`[virtual]`

Generates an output value given the coordinates of the specified input value.

Parameters:

  x | The x coordinate of the input value.
  y | The y coordinate of the input value.
  z | The z coordinate of the input value.

Returns:
  The output value.

Precondition:
  All source modules required by this noise module have been passed to the SetSourceModule() method.

Before an application can call this method, it must first connect all required source modules via the SetSourceModule() method. If these source modules are not connected to this noise module, this method raises a debug assertion.

To determine the number of source modules required by this noise module, call the GetSourceModuleCount() method.

Implements CS::Math::Noise::Module::Module.

double CS::Math::Noise::Module::TranslatePoint::GetXTranslation | ( |  | ) | const`[inline]`

Returns the translation amount to apply to the x coordinate of the input value.

Returns:
  The translation amount to apply to the x coordinate.

Definition at line 96 of file translatepoint.h.

double CS::Math::Noise::Module::TranslatePoint::GetYTranslation | ( |  | ) | const`[inline]`

Returns the translation amount to apply to the y coordinate of the input value.

Returns:
  The translation amount to apply to the y coordinate.

Definition at line 105 of file translatepoint.h.

double CS::Math::Noise::Module::TranslatePoint::GetZTranslation | ( |  | ) | const`[inline]`

Returns the translation amount to apply to the z coordinate of the input value.

Returns:
  The translation amount to apply to the z coordinate.

Definition at line 114 of file translatepoint.h.

void CS::Math::Noise::Module::TranslatePoint::SetTranslation | ( | double | translation | ) | `[inline]`

Sets the translation amount to apply to the input value.

Parameters:

  translation | The translation amount to apply.

The GetValue() method moves the ( x, y, z ) coordinates of the input value by a translation amount before returning the output value from the source module

Definition at line 126 of file translatepoint.h.

void CS::Math::Noise::Module::TranslatePoint::SetTranslation | ( | double | xTranslation,
|  | double | yTranslation,
|  | double | zTranslation
| ) |  | `[inline]`

Sets the translation amounts to apply to the ( x, y, z ) coordinates of the input value.

Parameters:

  xTranslation | The translation amount to apply to the x coordinate.
  yTranslation | The translation amount to apply to the y coordinate.
  zTranslation | The translation amount to apply to the z coordinate.

The GetValue() method moves the ( x, y, z ) coordinates of the input value by a translation amount before returning the output value from the source module

Definition at line 146 of file translatepoint.h.

void CS::Math::Noise::Module::TranslatePoint::SetXTranslation | ( | double | xTranslation | ) | `[inline]`

Sets the translation amount to apply to the x coordinate of the input value.

Parameters:

  xTranslation | The translation amount to apply to the x coordinate.

The GetValue() method moves the ( x, y, z ) coordinates of the input value by a translation amount before returning the output value from the source module

Definition at line 163 of file translatepoint.h.

void CS::Math::Noise::Module::TranslatePoint::SetYTranslation | ( | double | yTranslation | ) | `[inline]`

Sets the translation amount to apply to the y coordinate of the input value.

Parameters:

  yTranslation | The translation amount to apply to the y coordinate.

The GetValue() method moves the ( x, y, z ) coordinates of the input value by a translation amount before returning the output value from the source module

Definition at line 177 of file translatepoint.h.

void CS::Math::Noise::Module::TranslatePoint::SetZTranslation | ( | double | zTranslation | ) | `[inline]`

Sets the translation amount to apply to the z coordinate of the input value.

Parameters:

  zTranslation | The translation amount to apply to the z coordinate.

The GetValue() method moves the ( x, y, z ) coordinates of the input value by a translation amount before returning the output value from the source module

Definition at line 191 of file translatepoint.h.

## Member Data Documentation

double CS::Math::Noise::Module::TranslatePoint::m_xTranslation`[protected]`

Translation amount applied to the x coordinate of the input value.

Definition at line 200 of file translatepoint.h.

double CS::Math::Noise::Module::TranslatePoint::m_yTranslation`[protected]`

Translation amount applied to the y coordinate of the input value.

Definition at line 204 of file translatepoint.h.

double CS::Math::Noise::Module::TranslatePoint::m_zTranslation`[protected]`

Translation amount applied to the z coordinate of the input value.

Definition at line 208 of file translatepoint.h.

The documentation for this class was generated from the following file:

- cstool/noise/module/translatepoint.h